Skip to main content
`Ctrl`+`K`

# TSSundialsSetMaxord

Sets the maximum order for BDF/Adams method used by `TSSUNDIALS`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetMaxord(TS ts, PetscInt maxord)

Logically Collective

## Input Parameters

- ts - the time-step context

- maxord - maximum order of BDF / Adams method

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages